<html>
<title> Files for JFLAP - An Interactive Formal Languages and Automata Package
</title>
<body>

<center>
<h1>Files for "JFLAP - An Interactive Formal <br>
Languages and Automata Package"<br>
</h1>
<h2>
By Susan H. Rodger and Thomas W. Finley <br>
Published by Jones and Bartlett <br>
</h2>
</center>


<p>

<p> <a href="description.html"> Description of some of the files.</a>

<p> All the files from the JFLAP book are available here for download.
Scroll down to the bottom for a .zip or .tar file.


<p> 
<h2> JFLAP Startup </h2>
<ul>
<li>
<a href="ex0.1a.jff"> ex0.1a.jff </a>
</ul>
<p>


<h2> Chapter 1 </h2>

<ul>
<li>
<a href="ex1.1a.jff"> ex1.1a.jff </a>
<li>
<a href="ex1.3a.jff"> ex1.3a.jff </a>
<li>
<a href="ex1.4a.jff"> ex1.4a.jff </a>
<li>
<a href="ex1.5a.jff"> ex1.5a.jff </a>
<li>
<a href="ex1.6a.jff"> ex1.6a.jff </a>
<li>
<a href="ex1.6b.jff"> ex1.6b.jff </a>
<li>
<a href="ex1.6c.jff"> ex1.6c.jff </a>
<li>
<a href="ex1.6d.jff"> ex1.6d.jff </a>
<li>
<a href="ex1.6e.jff"> ex1.6e.jff </a>
<li>
<a href="ex1.6f.jff"> ex1.6f.jff </a>
<li>
<a href="ex1.7a.jff"> ex1.7a.jff </a>
<li>
<a href="ex1.7b.jff"> ex1.7b.jff </a>
<li>
<a href="ex1.7c.jff"> ex1.7c.jff </a>
<li>
<a href="ex1.7d.jff"> ex1.7d.jff </a>
<li>
<a href="ex1.7e.jff"> ex1.7e.jff </a>
<li>
<a href="ex1.7f.jff"> ex1.7f.jff </a>
</ul>


<h2> Chapter 2 </h2>

<ul>
<li>
<a href="ex2.1a.jff"> ex2.1a.jff </a>
<li>
<a href="ex2.1anew.jff"> ex2.1anew.jff </a>
<li>
<a href="ex2.2a-dup.jff"> ex2.2a-dup.jff </a>
<li>
<a href="ex2.2a.jff"> ex2.2a.jff </a>
<li>
<a href="ex2.3a.jff"> ex2.3a.jff </a>
<li>
<a href="ex2.3b.jff"> ex2.3b.jff </a>
<li>
<a href="ex2.3c.jff"> ex2.3c.jff </a>
<li>
<a href="ex2-dfa2mindfa-a.jff"> ex2-dfa2mindfa-a.jff </a>
<li>
<a href="ex2-dfa2mindfa-b.jff"> ex2-dfa2mindfa-b.jff </a>
<li>
<a href="ex2-dfa2mindfa-c.jff"> ex2-dfa2mindfa-c.jff </a>
<li>
<a href="ex2-dfa2mindfa-d.jff"> ex2-dfa2mindfa-d.jff </a>
<li>
<a href="ex2-dfa2mindfa-e.jff"> ex2-dfa2mindfa-e.jff </a>
<li>
<a href="ex2-dfa2mindfa-test.jff"> ex2-dfa2mindfa-test.jff </a>
<li>
<a href="ex2-dfa2nfa.jff"> ex2-dfa2nfa.jff </a>
<li>
<a href="ex2-nfa2dfa-a.jff"> ex2-nfa2dfa-a.jff </a>
<li>
<a href="ex2-nfa2dfa-b.jff"> ex2-nfa2dfa-b.jff </a>
<li>
<a href="ex2-nfa2dfa-c.jff"> ex2-nfa2dfa-c.jff </a>
<li>
<a href="ex2-nfa2dfa-d.jff"> ex2-nfa2dfa-d.jff </a>
<li>
<a href="ex2-nfa2dfa-e.jff"> ex2-nfa2dfa-e.jff </a>
<li>
<a href="ex2-nfa2dfa-f.jff"> ex2-nfa2dfa-f.jff </a>
</ul>

<h2> Chapter 3 </h2>

<ul>
<li>
<a href="ex3.1a.jff"> ex3.1a.jff </a>
<li>
<a href="ex3.4a.jff"> ex3.4a.jff </a>
<li>
<a href="ex3.6a.jff"> ex3.6a.jff </a>
<li>
<a href="ex3.6b.jff"> ex3.6b.jff </a>
<li>
<a href="ex3.fa2rg-a.jff"> ex3.fa2rg-a.jff </a>
<li>
<a href="ex3.fa2rg-b.jff"> ex3.fa2rg-b.jff </a>
<li>
<a href="ex3.fa2rg-c.jff"> ex3.fa2rg-c.jff </a>
<li>
<a href="ex3.fa2rg-d.jff"> ex3.fa2rg-d.jff </a>
<li>
<a href="ex3.fa2rg-e.jff"> ex3.fa2rg-e.jff </a>
<li>
<a href="ex3.fa2rg-f.jff"> ex3.fa2rg-f.jff </a>
<li>
<a href="ex3.fa2rg-g.jff"> ex3.fa2rg-g.jff </a>
<li>
<a href="ex3.isregular-a.jff"> ex3.isregular-a.jff </a>
<li>
<a href="ex3.isregular-b.jff"> ex3.isregular-b.jff </a>
<li>
<a href="ex3.isregular-c.jff"> ex3.isregular-c.jff </a>
<li>
<a href="ex3.isregular-d.jff"> ex3.isregular-d.jff </a>
<li>
<a href="ex3.isregular-e.jff"> ex3.isregular-e.jff </a>
<li>
<a href="ex3.reggrm-a.jff"> ex3.reggrm-a.jff </a>
<li>
<a href="ex3.reggrm-b.jff"> ex3.reggrm-b.jff </a>
<li>
<a href="ex3.reggrm-c.jff"> ex3.reggrm-c.jff </a>
<li>
<a href="ex3.reggrm-d.jff"> ex3.reggrm-d.jff </a>
<li>
<a href="ex3.reggrm-e.jff"> ex3.reggrm-e.jff </a>
<li>
<a href="ex3.reggrm-f.jff"> ex3.reggrm-f.jff </a>
<li>
<a href="ex3.rg2fa-a.jff"> ex3.rg2fa-a.jff </a>
<li>
<a href="ex3.rg2fa-b.jff"> ex3.rg2fa-b.jff </a>
<li>
<a href="ex3.rg2fa-c.jff"> ex3.rg2fa-c.jff </a>
<li>
<a href="ex3.rg2fa-d.jff"> ex3.rg2fa-d.jff </a>
<li>
<a href="ex3.rg2fa-e.jff"> ex3.rg2fa-e.jff </a>
<li>
<a href="ex3.rg2fa-f.jff"> ex3.rg2fa-f.jff </a>
</ul>

<h2> Chapter 4 </h2>

<ul>
<li>
<a href="ex4.1a.jff"> ex4.1a.jff </a>
<li>
<a href="ex4.2a.jff"> ex4.2a.jff </a>
<li>
<a href="ex4.2b.jff"> ex4.2b.jff </a>
<li>
<a href="ex4.3a.jff"> ex4.3a.jff </a>
<li>
<a href="ex4.5a.jff"> ex4.5a.jff </a>
<li>
<a href="ex4.nfa2re-a.jff"> ex4.nfa2re-a.jff </a>
<li>
<a href="ex4.nfa2re-b.jff"> ex4.nfa2re-b.jff </a>
<li>
<a href="ex4.nfa2re-c.jff"> ex4.nfa2re-c.jff </a>
<li>
<a href="ex4.nfa2re-d.jff"> ex4.nfa2re-d.jff </a>
<li>
<a href="ex4.nfa2re-e.jff"> ex4.nfa2re-e.jff </a>
<li>
<a href="ex4.nfa2re-f.jff"> ex4.nfa2re-f.jff </a>
<li>
<a href="ex4.nfa2re-g.jff"> ex4.nfa2re-g.jff </a>
<li>
<a href="ex4.nfa2re-h.jff"> ex4.nfa2re-h.jff </a>
</ul>

<h2> Chapter 5 </h2>

<ul>
<li>
<a href="ex5.1.jff"> ex5.1.jff </a
<li>
<a href="ex5.2.jff"> ex5.2.jff </a>
<li>
<a href="ex5.5a.jff"> ex5.5a.jff </a>
<li>
<a href="ex5.5b.jff"> ex5.5b.jff </a>
<li>
<a href="ex5.5c.jff"> ex5.5c.jff </a>
<li>
<a href="ex5.5d.jff"> ex5.5d.jff </a>
<li>
<a href="ex5.5e.jff"> ex5.5e.jff </a>
<li>
<a href="ex5.5f.jff"> ex5.5f.jff </a>
<li>
<a href="ex5.5wrong-a.jff"> ex5.5wrong-a.jff </a>
<li>
<a href="ex5.5wrong-b.jff"> ex5.5wrong-b.jff </a>
<li>
<a href="ex5.5wrong-c.jff"> ex5.5wrong-c.jff </a>
<li>
<a href="ex5.5wrong-d.jff"> ex5.5wrong-d.jff </a>
</ul>

<h2> Chapter 6 </h2>

<ul>
<li>
<a href="ex6.1a.jff"> ex6.1a.jff </a>
<li>
<a href="ex6.1.jff"> ex6.1.jff </a>
<li>
<a href="ex6.3a.jff"> ex6.3a.jff </a>
<li>
<a href="ex6.3b.jff"> ex6.3b.jff </a>
<li>
<a href="ex6.5cfg-a.jff"> ex6.5cfg-a.jff </a>
<li>
<a href="ex6.5cfg-ambiguous.jff"> ex6.5cfg-ambiguous.jff </a>
<li>
<a href="ex6.5cfg-b.jff"> ex6.5cfg-b.jff </a>
<li>
<a href="ex6.5cfg-c.jff"> ex6.5cfg-c.jff </a>
<li>
<a href="ex6.5cfg-d.jff"> ex6.5cfg-d.jff </a>
<li>
<a href="ex6.5cfg-e.jff"> ex6.5cfg-e.jff </a>
<li>
<a href="ex6.5cfg-f.jff"> ex6.5cfg-f.jff </a>
<li>
<a href="ex6.5cfg-p.jff"> ex6.5cfg-p.jff </a>
<li>
<a href="ex6.5-longparse.jff"> ex6.5-longparse.jff </a>
<li>
<a href="ex6.5-toCFGa.jff"> ex6.5-toCFGa.jff </a>
<li>
<a href="ex6.5-toCFGb.jff"> ex6.5-toCFGb.jff </a>
<li>
<a href="ex6.5-toCFGc.jff"> ex6.5-toCFGc.jff </a>
<li>
<a href="ex6.5-toCFGd.jff"> ex6.5-toCFGd.jff </a>
<li>
<a href="ex6.5-toCFGe.jff"> ex6.5-toCFGe.jff </a>
<li>
<a href="ex6.5-toCFGf.jff"> ex6.5-toCFGf.jff </a>
</ul>


<h2> Chapter 7 </h2>

<ul>
<li>
<a href="ex7.1.jff"> ex7.1.jff </a>
<li>
<a href="ex7.2.jff"> ex7.2.jff </a>
<li>
<a href="ex7.3.jff"> ex7.3.jff </a>
<li>
<a href="ex7.4.jff"> ex7.4.jff </a>
<li>
<a href="ex7.5.jff"> ex7.5.jff </a>
<li>
<a href="ex7.6cnf-a.jff"> ex7.6cnf-a.jff </a>
<li>
<a href="ex7.6cnf-b.jff"> ex7.6cnf-b.jff </a>
<li>
<a href="ex7.6cnf-c.jff"> ex7.6cnf-c.jff </a>
<li>
<a href="ex7.6cnf-d.jff"> ex7.6cnf-d.jff </a>
<li>
<a href="ex7.6cnf-e.jff"> ex7.6cnf-e.jff </a>
<li>
<a href="ex7.6cnf-f.jff"> ex7.6cnf-f.jff </a>
<li>
<a href="ex7.6cnfNoB.jff"> ex7.6cnfNoB.jff </a>
<li>
<a href="ex7.6cnfonly-a.jff"> ex7.6cnfonly-a.jff </a>
<li>
<a href="ex7.6cnfonly-b.jff"> ex7.6cnfonly-b.jff </a>
<li>
<a href="ex7.6cnfonly-c.jff"> ex7.6cnfonly-c.jff </a>
<li>
<a href="ex7.6cnfonly-d.jff"> ex7.6cnfonly-d.jff </a>
<li>
<a href="ex7.6cnfonly-e.jff"> ex7.6cnfonly-e.jff </a>
<li>
<a href="ex7.6cnfparse.jff"> ex7.6cnfparse.jff </a>
<li>
<a href="ex7.6lambda-a.jff"> ex7.6lambda-a.jff </a>
<li>
<a href="ex7.6lambda-b.jff"> ex7.6lambda-b.jff </a>
<li>
<a href="ex7.6lambda-c.jff"> ex7.6lambda-c.jff </a>
<li>
<a href="ex7.6lambda-d.jff"> ex7.6lambda-d.jff </a>
<li>
<a href="ex7.6lambda-e.jff"> ex7.6lambda-e.jff </a>
<li>
<a href="ex7.6unit-a.jff"> ex7.6unit-a.jff </a>
<li>
<a href="ex7.6unit-b.jff"> ex7.6unit-b.jff </a>
<li>
<a href="ex7.6unit-c.jff"> ex7.6unit-c.jff </a>
<li>
<a href="ex7.6unit-d.jff"> ex7.6unit-d.jff </a>
<li>
<a href="ex7.6unit-e.jff"> ex7.6unit-e.jff </a>
<li>
<a href="ex7.6useless-a.jff"> ex7.6useless-a.jff </a>
<li>
<a href="ex7.6useless-b.jff"> ex7.6useless-b.jff </a>
<li>
<a href="ex7.6useless-c.jff"> ex7.6useless-c.jff </a>
<li>
<a href="ex7.6useless-d.jff"> ex7.6useless-d.jff </a>
<li>
<a href="ex7.6useless-e.jff"> ex7.6useless-e.jff </a>
</ul>

<h2> Chapter 8 </h2>

<ul>
<li>
<a href="ex8.1a.jff"> ex8.1a.jff </a>
<li>
<a href="ex8.1b-dup.jff"> ex8.1b-dup.jff </a>
<li>
<a href="ex8.1b.jff"> ex8.1b.jff </a>
<li>
<a href="ex8.3a.jff"> ex8.3a.jff </a>
<li>
<a href="ex8.3b.jff"> ex8.3b.jff </a>
<li>
<a href="ex8.3c.jff"> ex8.3c.jff </a>
<li>
<a href="ex8.5FF-a.jff"> ex8.5FF-a.jff </a>
<li>
<a href="ex8.5FF-b.jff"> ex8.5FF-b.jff </a>
<li>
<a href="ex8.5FF-c.jff"> ex8.5FF-c.jff </a>
<li>
<a href="ex8.5FF-d.jff"> ex8.5FF-d.jff </a>
<li>
<a href="ex8.5FF-e.jff"> ex8.5FF-e.jff </a>
<li>
<a href="ex8.5FF-f.jff"> ex8.5FF-f.jff </a>
<li>
<a href="ex8.5ll2npda.jff"> ex8.5ll2npda.jff </a>
<li>
<a href="ex8.5llparse-a.jff"> ex8.5llparse-a.jff </a>
<li>
<a href="ex8.5llparse-b.jff"> ex8.5llparse-b.jff </a>
<li>
<a href="ex8.5llparse-c.jff"> ex8.5llparse-c.jff </a>
<li>
<a href="ex8.5llparse-d.jff"> ex8.5llparse-d.jff </a>
<li>
<a href="ex8.5lrcompare.jff"> ex8.5lrcompare.jff </a>
<li>
<a href="ex8.5lrparse-a.jff"> ex8.5lrparse-a.jff </a>
<li>
<a href="ex8.5lrparse-b.jff"> ex8.5lrparse-b.jff </a>
<li>
<a href="ex8.5lrparse-c.jff"> ex8.5lrparse-c.jff </a>
<li>
<a href="ex8.5lrparse-d.jff"> ex8.5lrparse-d.jff </a>
<li>
<a href="ex8.5lrparse-e.jff"> ex8.5lrparse-e.jff </a>
<li>
<a href="ex8.5lrparse-f.jff"> ex8.5lrparse-f.jff </a>
<li>
<a href="ex8.5notll-a.jff"> ex8.5notll-a.jff </a>
<li>
<a href="ex8.5notlr-a.jff"> ex8.5notlr-a.jff </a>
<li>
<a href="ex8.5notlr-b.jff"> ex8.5notlr-b.jff </a>
<li>
<a href="ex8.5notlr-c.jff"> ex8.5notlr-c.jff </a>
<li>
<a href="ex8.5notlr-d.jff"> ex8.5notlr-d.jff </a>
<li>
<a href="ex8.5notlr-e.jff"> ex8.5notlr-e.jff </a>
<li>
<a href="ex8.5showFollow-a.jff"> ex8.5showFollow-a.jff </a>
<li>
<a href="ex8.5showFollow-b.jff"> ex8.5showFollow-b.jff </a>
<li>
<a href="ex8.5showFollow-c.jff"> ex8.5showFollow-c.jff </a>
</ul>

<h2> Chapter 9 </h2>

<ul>
<li>
<a href="ex9-2tape-substring.jff"> ex9-2tape-substring.jff </a
<li>
<a href="ex9.5fix-a.jff"> ex9.5fix-a.jff </a>
<li>
<a href="ex9.5fix-b.jff"> ex9.5fix-b.jff </a>
<li>
<a href="ex9.5fix-c.jff"> ex9.5fix-c.jff </a>
<li>
<a href="ex9.5langacc-a.jff"> ex9.5langacc-a.jff </a>
<li>
<a href="ex9.5langacc-b.jff"> ex9.5langacc-b.jff </a>
<li>
<a href="ex9.5trans-a.jff"> ex9.5trans-a.jff </a>
<li>
<a href="ex9.5trans-b.jff"> ex9.5trans-b.jff </a>
<li>
<a href="ex9.5ttm-whatlang-a.jff"> ex9.5ttm-whatlang-a.jff </a>
<li>
<a href="ex9.5ttm-whattran-a.jff"> ex9.5ttm-whattran-a.jff </a>
<li>
<a href="ex9-a2n-incomplete.jff"> ex9-a2n-incomplete.jff </a>
<li>
<a href="ex9-a2n.jff"> ex9-a2n.jff </a>
<li>
<a href="ex9-adder.jff"> ex9-adder.jff </a>
<li>
<a href="ex9-anbncn.jff"> ex9-anbncn.jff </a>
<li>
<a href="ex9-infinite.jff"> ex9-infinite.jff </a>
<li>
<a href="ex9-simple.jff"> ex9-simple.jff </a>
<li>
<a href="ex9-universal.jff"> ex9-universal.jff </a>
</ul>

<h2> Chapter 10 </h2>

<ul>
<li>
<a href="ex10-3d-tree.jff"> ex10-3d-tree.jff </a>
<li>
<a href="ex10-anbncn.jff"> ex10-anbncn.jff </a>
<li>
<a href="ex10-command-arguments.jff"> ex10-command-arguments.jff </a>
<li>
<a href="ex10-cube.jff"> ex10-cube.jff </a>
<li>
<a href="ex10-dragon.jff"> ex10-dragon.jff </a>
<li>
<a href="ex10-failed-tree.jff"> ex10-failed-tree.jff </a>
<li>
<a href="ex10-fibonacci.jff"> ex10-fibonacci.jff </a>
<li>
<a href="ex10-fixed-tree.jff"> ex10-fixed-tree.jff </a>
<li>
<a href="ex10-simple-context.jff"> ex10-simple-context.jff </a>
<li>
<a href="ex10-tree-fall-leaves.jff"> ex10-tree-fall-leaves.jff </a>
<li>
<a href="ex10-tree-green-leaves.jff"> ex10-tree-green-leaves.jff </a>
<li>
<a href="ex10-tree-growing.jff"> ex10-tree-growing.jff </a>
<li>
<a href="ex10-tree-leaves.jff"> ex10-tree-leaves.jff </a>
<li>
<a href="ex10-tree-thick-fall-leaves.jff"> ex10-tree-thick-fall-leaves.jff </a>
</ul>

<h2> Chapter 11 </h2>

<ul>
<li>
<a href="ex11.4a.jff"> ex11.4a.jff </a>
<li>
<a href="ex11-anbmcndm.jff"> ex11-anbmcndm.jff </a>
<li>
<a href="ex11-composite-cs.jff"> ex11-composite-cs.jff </a>
<li>
<a href="ex11-composite-fast.jff"> ex11-composite-fast.jff </a>
<li>
<a href="ex11-composite-short.jff"> ex11-composite-short.jff </a>
<li>
<a href="ex11-simple.jff"> ex11-simple.jff </a>
</ul>


<h2> All the files at once ... </h2>

<ul>
<li>
<a href="allfiles.tar">  unix tar file </a>
<li>
<a href="files.zip">  zip file </a>
</ul>

</body>
</html>
